<?php

if ( $cur_domain_id == '' ) {
   $cur_domain_id = 0;
}

list( $status, $cnt, $all_domains ) 
         = $user_domain_db->ListAll( $cur_domain_id );

list( $ret, $cur_domain_obj ) = $user_domain_db->Get( $cur_domain_id );

if ( $ret == 0 ) {
   $cur_domain_obj = new User_Domain();
}

if ( $cur_domain_id == 0 ) {
   $cur_domain_obj->domain_name = 'default';
}

$template_obj->ParseTemplate(
   $default->manager_templates . '/user/navigator/top.inc'
);

$template_obj->Register( 
   'current_user_domain', 
   'Current user domain : ' . $cur_domain_obj->domain_name
);

$dom_options = '';
$selected = '';

if ( $cur_domain_id == '' ) {
   $selected = ' selected ';
}

$dom_options .= '<option value="0"' . $selected . '>Default';

for( $i = 0; $i < count( $all_domains ); $i++ ) {

   $selected = '';
   $t_obj = $all_domains[ $i ];

   if ( $cur_domain_id == $t_obj->domain ) {
      $selected = ' selected ';
   }

   $dom_options .= '<option value="' . $t_obj->domain . '"' . $selected . '>' . $t_obj->domain_name;

}

$domain_jump_frm =
   '<form action="' . $default->base_url . '" method="POST">' .
   'Jump to this domain :' .
   '<input type="hidden" name="form_mode"    value="MANAGER_USER_SELECT_FRM">';

if ( $cookie_mode == 0 ) {
   $domain_jump_frm .= '<input type="hidden" name="session_id"   value="' . $session_id . '">';
}

   $domain_jump_frm .= 
      '<select name="cur_domain_id">' .
      $dom_options .
      '</select>' .
      '<input type="submit" value="Go!">';

   $template_obj->Register( 'domain_jump_frm', $domain_jump_frm );
   $template_obj->ParseTemplate(
      $default->manager_templates . '/user/navigator/domain_navigator.inc' 
   );

   if ( $action_success != '' ) {
      $template_obj->Register( 'action_success', $action_success );
      $template_obj->ParseTemplate( 
            $default->manager_templates . '/user/navigator/action_success.inc' 
      );
   }

   $template_obj->ParseTemplate( 
      $default->manager_templates .
      '/user/navigator/column_labels.inc'
   );

   $user_management_obj          = new UserManagement( $user_db );
   $admin_privileges_obj          = new UserAdminPrivileges( $admin_db );

   $ret_vals = $user_management_obj->ListAll( $cur_domain_id );


   if ( $ret_vals[ 0 ] == 1 ) {

      $cnt        = $ret_vals[ 1 ];
      $ret_objs   = $ret_vals[ 2 ];


      for ( $i = 0; $i < $cnt; $i++ ) {
         $temp_obj = $ret_objs[ $i ];

         list( $ret, $admin_privs ) = 
            $admin_privileges_obj->Get( $temp_obj->id );

         if ( $ret != 1 ) {
            $admin_privs = new AdminPrivileges();
         }


         if ( $ret != 1 ) {
            $cur_domain_obj = new User_Domain();
            $cur_domain_obj->domain_name = '&nbsp;';
         }

         $view_ref   = $url_util->PostUrl(
            Array( 
               'target_username'    => $temp_obj->user_name,
               'target_domain_id'   => $temp_obj->domain,
               'form_mode'   => MANAGER_USER_VIEW_FRM 
            )
         );
         $edit_ref   = $url_util->PostUrl(
            Array(
               'target_username'    => $temp_obj->user_name,
               'target_domain_id'   => $temp_obj->domain,
               'form_mode'   => MANAGER_USER_EDIT_FRM 
            )
         );
         $delete_ref   = $url_util->PostUrl(
            Array(
               'target_username'    => $temp_obj->user_name,
               'target_domain_id'   => $temp_obj->domain,
               'form_mode'   => MANAGER_USER_DELETE_FRM
            )
         );


         $add_users     = '';
         $delete_users  = '';
         $edit_users    = '';

         if ( $admin_privs->add_users == 1 ) {
            $add_users = 'Add User';
         } else {
            $add_users = 'NA';
         }
         if ( $admin_privs->edit_users == 1 ) {
            $edit_users = 'Edit User';
         } else {
            $edit_users = 'NA';
         }
         if ( $admin_privs->delete_users == 1 ) {
            $delete_users = 'Delete User';
         } else {
            $delete_users = 'NA';
         }

         $template_obj->Register( 'add_users',        $add_users );
         $template_obj->Register( 'delete_users',     $delete_users );
         $template_obj->Register( 'edit_users',       $edit_users );
         $template_obj->Register( 'view_ref',         $view_ref );
         $template_obj->Register( 'edit_ref',         $edit_ref );
         $template_obj->Register( 'delete_ref',       $delete_ref );

         $template_obj->Register( 'user_id',  $temp_obj->id );
         $template_obj->Register( 'user_name', $temp_obj->user_name );
         $template_obj->ParseTemplate( 
            $default->manager_templates . '/user/navigator/user_row.inc'
         );

         #include ( $default->manager_templates . '/user/navigator/user_row.inc' );

      }

      if ( $cnt == 0 ) {
         include( $default->manager_templates . '/user/navigator/no_users.inc' );
      }

   }

include ( $default->manager_templates . '/user/navigator/bottom.inc' );

?>
