CREATE TABLE ppim_user_groups_table (
   ppim_group_id        BIGINT      NOT NULL AUTO_INCREMENT,
   user                 BIGINT      NOT NULL DEFAULT 0,
   ppim_group_name      TEXT        NOT NULL DEFAULT '',
   ppim_group_alias     TEXT,
   PRIMARY KEY( ppim_group_id ),
   INDEX( ppim_group_id, user )
);

# Allow people to cross polenate the groups with multiple
# memberships per group
CREATE TABLE ppim_persona_group_table (
   ppim_pergroup_id     BIGINT      NOT NULL AUTO_INCREMENT,
   ppim_persona_id      BIGINT      NOT NULL DEFAULT 0,
   ppim_group_id        BIGINT      NOT NULL DEFAULT 0,
   PRIMARY KEY( ppim_pergroup_id ),
   INDEX( ppim_pergroup_id, ppim_persona_id, ppim_group_id )
);

CREATE TABLE ppim_persona_table (
   ppim_persona_id      BIGINT      NOT NULL AUTO_INCREMENT,
   user                 BIGINT      NOT NULL DEFAULT 0,
   first_name           TEXT        NOT NULL DEFAULT '',
   middle_name          TEXT        NOT NULL DEFAULT '',
   last_name            TEXT        NOT NULL DEFAULT '',
   salutation           TEXT        NOT NULL DEFAULT '',
   alias                TEXT        NOT NULL DEFAULT '',
   last_update          TIMESTAMP   NOT NULL,
   PRIMARY KEY( ppim_persona_id ),
   INDEX( ppim_persona_id, ppim_user_id )
);

CREATE TABLE ppim_address_table (
   ppim_address_id      BIGINT         NOT NULL AUTO_INCREMENT,
   ppim_persona_id      BIGINT         NOT NULL DEFAULT 0,
   address_name         TEXT           NOT NULL DEFAULT '',
   address              TEXT           NOT NULL DEFAULT '',
   city                 TEXT           NOT NULL DEFAULT '',
   state                TEXT           NOT NULL DEFAULT '',
   zip                  TEXT           NOT NULL DEFAULT '',
   country              TEXT           NOT NULL DEFAULT '',
   mailing_address      INT            NOT NULL DEFAULT 0,
   last_update_by       BIGINT         NOT NULL DEFAULT '',
   last_update          DATETIME       NOT NULL,
   PRIMARY KEY( address_id ),
   INDEX( address_id, user )
);

CREATE TABLE ppim_phone_num_table (
   ppim_phone_num_id       BIGINT         NOT NULL AUTO_INCREMENT,
   ppim_persona_id         BIGINT         NOT NULL DEFAULT 0,
   phone_number_name       TEXT           NOT NULL DEFAULT '',
   phone_number            TEXT           NOT NULL DEFAULT '',
   phone_number_notes      TEXT           NOT NULL DEFAULT '',
   contact_number          INT            NOT NULL DEFAULT 0,
   PRIMARY KEY( ppim_phone_num_id ),
   INDEX( ppim_phone_num_id, user )
);

#
# This will need a special interface for the pimp items
# so that when we do a :
# Read message and the address lookup can be ->
# foreach my $address ( @from_addresses ) {
#     $ppim->email->is_in_db( $address );
# }
# Simplicity is the key on the interfaces for ppim
#
CREATE TABLE ppim_email_addr_table (
   ppim_email_address_id   BIGINT         NOT NULL AUTO_INCREMENT,
   ppim_persona_id         BIGINT         NOT NULL DEFAULT 0,
   email_address           TEXT           NOT NULL DEFAULT '',
   alias                   TEXT           NOT NULL DEFAULT '',
   primary_address         INT            NOT NULL DEFAULT 0,
   PRIMARY KEY( ppim_email_address_id ),
   INDEX( ppim_email_address_id, ppim_persona_id )
);
